<?php
/*
  $Id: featured.php,v 1.7 2008/08/22 22:30:20 aa0001 Exp $

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2002 osCommerce

  Released under the GNU General Public License
  
  Featured Products V1.1
  Displays a list of featured products, selected from admin
  For use as an Infobox instead of the "New Products" Infobox  
*/
?>
<script type="text/javascript">

/***********************************************
* Image w/ description tooltip- By Dynamic Web Coding (www.expodreams.com)
* Copyright 2002-2007 by Sharon Paine
* Visit Dynamic Drive at http://www.expodreams.com/ for full source code
***********************************************/

/* IMPORTANT: Put script after tooltip div or 
	 put tooltip div just before </BODY>. */

		var dom = (document.getElementById) ? true : false;
		var ns5 = ((navigator.userAgent.indexOf("Gecko")>-1) && dom) ? true: false;
		var ie5 = ((navigator.userAgent.indexOf("MSIE")>-1) && dom) ? true : false;
		var ns4 = (document.layers && !dom) ? true : false;
		var ie4 = (document.all && !dom) ? true : false;
		var nodyn = (!ns5 && !ns4 && !ie4 && !ie5) ? true : false;
		
		// resize fix for ns4
		var origWidth, origHeight;
		if (ns4) {
			origWidth = window.innerWidth; origHeight = window.innerHeight;
			window.onresize = function() { if (window.innerWidth != origWidth || window.innerHeight != origHeight) history.go(0); }
		}
		
		// avoid error of passing event object in older browsers
		if (nodyn) { event = "nope" }
		
		///////////////////////  CUSTOMIZE HERE   ////////////////////
		// settings for tooltip
		// Do you want tip to move when mouse moves over link?
		var tipFollowMouse= true;
		// Be sure to set tipWidth wide enough for widest image
		var tipWidth= 0;
		var offX= 20;	// how far from mouse to show tip
		var offY= 12;
		var tipFontFamily= "Verdana, arial, helvetica, sans-serif";
		var tipFontSize= "8pt";
		// set default text color and background color for tooltip here
		// individual tooltips can have their own (set in messages arrays)
		// but don't have to
		var tipFontColor= "#000000";
		var tipBgColor= "";
		var tipBorderColor= "";
		var tipBorderWidth= 0;
		var tipBorderStyle= "none";
		var tipPadding= 0;

// tooltip content goes here (image, description, optional bgColor, optional textcolor)

		var messages = new Array();

// multi-dimensional arrays containing: 
// image and text for tooltip
// optional: bgColor and color to be sent to tooltip

		if (document.images) {
			var theImgs = new Array();
			for (var i=0; i<messages.length; i++) {
			theImgs[i] = new Image();
				theImgs[i].src = messages[i][0];
		  }
		}

// to layout image and text, 2-row table, image centered in top cell
// these go in var tip in doTooltip function
// startStr goes before image, midStr goes between image and text
		var startStr = '<table width="' + tipWidth + '"><tr><td align="center" width="100%"><img src="';
		var midStr = '" border="1"></td></tr><tr><td valign="top">';
		var endStr = '</td></tr></table>';

////////////////////////////////////////////////////////////
//  initTip	- initialization for tooltip.
//		Global variables for tooltip. 
//		Set styles
//		Set up mousemove capture if tipFollowMouse set true.
////////////////////////////////////////////////////////////
		var tooltip, tipcss;
		function initTip() {
			if (nodyn) return;
			tooltip = (ns4)? document.tipDiv.document: (ie4)? document.all['tipDiv']: (ie5||ns5)? document.getElementById('tipDiv'): null;
			tipcss = (ns4)? document.tipDiv: tooltip.style;
			if (ie4||ie5||ns5) {	// ns4 would lose all this on rewrites
				tipcss.width = tipWidth+"px";
				tipcss.fontFamily = tipFontFamily;
				tipcss.fontSize = tipFontSize;
				tipcss.color = tipFontColor;
				tipcss.backgroundColor = tipBgColor;
				tipcss.borderColor = tipBorderColor;
				tipcss.borderWidth = tipBorderWidth+"px";
				tipcss.padding = tipPadding+"px";
				tipcss.borderStyle = tipBorderStyle;
			}
			if (tooltip&&tipFollowMouse) {
				if (ns4) document.captureEvents(Event.MOUSEMOVE);
				document.onmousemove = trackMouse;
			}
		}
		
		window.onload = initTip;

/////////////////////////////////////////////////
//  doTooltip function
//			Assembles content for tooltip and writes 
//			it to tipDiv
/////////////////////////////////////////////////
var t1,t2;	// for setTimeouts
var tipOn = false;	// check if over tooltip link
function doTooltip(evt,messages) {
	if (!tooltip) return;
	if (t1) clearTimeout(t1);	if (t2) clearTimeout(t2);
	tipOn = true;
	// set colors if included in messages array
curBgColor = tipBgColor;
curFontColor = tipFontColor;
	if (ie4||ie5||ns5) {
		var tip = startStr + messages + midStr + '<span style="font-family:' + tipFontFamily + '; font-size:' + tipFontSize + '; color:' + curFontColor + ';">' + '' + '</span>' + endStr;
		tipcss.backgroundColor = curBgColor;
	 	tooltip.innerHTML = tip;
	}
	if (!tipFollowMouse) positionTip(evt);
	else t1=setTimeout("tipcss.visibility='visible'",100);
}

var mouseX, mouseY;
function trackMouse(evt) {
	standardbody=(document.compatMode=="CSS1Compat")? document.documentElement : document.body //create reference to common "body" across doctypes
	mouseX = (ns5)? evt.pageX: window.event.clientX + standardbody.scrollLeft;
	mouseY = (ns5)? evt.pageY: window.event.clientY + standardbody.scrollTop;
	if (tipOn) positionTip(evt);
}


/////////////////////////////////////////////////////////////
//  positionTip function
//		If tipFollowMouse set false, so trackMouse function
//		not being used, get position of mouseover event.
//		Calculations use mouseover event position, 
//		offset amounts and tooltip width to position
//		tooltip within window.
/////////////////////////////////////////////////////////////
		function positionTip(evt) {
			if (!tipFollowMouse) {
				mouseX = (ns4||ns5)? evt.pageX: window.event.clientX + document.body.scrollLeft;
				mouseY = (ns4||ns5)? evt.pageY: window.event.clientY + document.body.scrollTop;
			}
			// tooltip width and height
			var tpWd = (ns4)? tooltip.width: (ie4||ie5)? tooltip.clientWidth: tooltip.offsetWidth;
			var tpHt = (ns4)? tooltip.height: (ie4||ie5)? tooltip.clientHeight: tooltip.offsetHeight;
			// document area in view (subtract scrollbar width for ns)
			var winWd = (ns4||ns5)? window.innerWidth-20+window.pageXOffset: document.body.clientWidth+document.body.scrollLeft;
			var winHt = (ns4||ns5)? window.innerHeight-20+window.pageYOffset: document.body.clientHeight+document.body.scrollTop;
			// check mouse position against tip and window dimensions
			// and position the tooltip
			if ((mouseX+offX+tpWd)>winWd)
				tipcss.left = (ns4)? mouseX-(tpWd+offX): mouseX-(tpWd+offX)+"px";
			else tipcss.left = (ns4)? mouseX+offX: mouseX+offX+"px";
			if ((mouseY+offY+tpHt)>winHt)
				tipcss.top = (ns4)? winHt-(tpHt+offY): winHt-(tpHt+offY)+"px";
			else tipcss.top = (ns4)? mouseY+offY: mouseY+offY+"px";
			if (!tipFollowMouse) t1=setTimeout("tipcss.visibility='visible'",100);
		}
		
		function hideTip() {
			if (!tooltip) return;
			t2=setTimeout("tipcss.visibility='hidden'",100);
			tipOn = false;
		}
document.write('<div id="tipDiv" style="position:absolute; visibility:hidden; z-index:100"></div>')

</script>
<!-- featured_products //-->
<?php
if( defined('FEATURED_PRODUCTS_DISPLAY') AND FEATURED_PRODUCTS_DISPLAY == 'true' ) {
  $featured_products_category_id = $new_products_category_id;
  $cat_name_query = tep_db_query('SELECT `categories_name` FROM ' . TABLE_CATEGORIES_DESCRIPTION . " WHERE `categories_id` = '" . $featured_products_category_id . "' limit 1");
  $cat_name_fetch = tep_db_fetch_array($cat_name_query);
  $cat_name = $cat_name_fetch['categories_name'];
  $info_box_contents = array();

  list($usec, $sec) = explode(' ', microtime());
  srand( (float) $sec + ((float) $usec * 100000) );
  $mtm= rand();
  	
  if ( (!isset($featured_products_category_id)) || ($featured_products_category_id == '0') ) {
  	$info_box_contents[] = array('align' => 'left', 'text' => '<a class="headerNavigation" href="' . tep_href_link(FILENAME_FEATURED_PRODUCTS) . '">' . TABLE_HEADING_FEATURED_PRODUCTS . '</a>');

    // Phocea Optimize featured query
    // Ben: Option to only show featured products on sale
    $query = 'SELECT p.products_id, p.products_image, p.products_tax_class_id, IF (s.status, s.specials_new_products_price, NULL) AS specials_new_products_price, p.products_price, pd.products_name ';

	if ( defined('FEATURED_PRODUCTS_SPECIALS_ONLY') AND FEATURED_PRODUCTS_SPECIALS_ONLY == 'true' ) {
      $query .= 'FROM ' . TABLE_SPECIALS . ' s LEFT JOIN ' . TABLE_PRODUCTS . ' p ON s.products_id = p.products_id ';
	} else {
      $query .= 'FROM ' . TABLE_PRODUCTS . ' p LEFT JOIN ' . TABLE_SPECIALS . ' s ON p.products_id = s.products_id ';
	}

    $query .= 'LEFT JOIN ' . TABLE_PRODUCTS_DESCRIPTION . " pd ON p.products_id = pd.products_id AND pd.language_id = '" . $languages_id . "'
    LEFT JOIN " . TABLE_FEATURED . " f ON p.products_id = f.products_id
    WHERE p.products_status = '1' AND f.status = '1' order by rand($mtm) DESC limit " . MAX_DISPLAY_FEATURED_PRODUCTS;

    $featured_products_query = tep_db_query( $query );	
  } else {
    $info_box_contents[] = array('align' => 'left', 'text' => sprintf(TABLE_HEADING_FEATURED_PRODUCTS_CATEGORY, $cat_name));
    $subcategories_array = array();
    tep_get_subcategories($subcategories_array, $featured_products_category_id);
    $featured_products_category_id_list = tep_array_values_to_string($subcategories_array);
    if ($featured_products_category_id_list == '') {
      $featured_products_category_id_list .= $featured_products_category_id;
    } else {
      $featured_products_category_id_list .= ',' . $featured_products_category_id;
    }

	if ( defined('FEATURED_PRODUCTS_SUB_CATEGORIES') AND FEATURED_PRODUCTS_SUB_CATEGORIES == 'true' ) {
      // current catID as starting value
      $cats[] = $new_products_category_id; 
      // put cat-IDs of all cats nested in current branch into $cats array, 
      // go through all subbranches
      for($i=0; $i<count($cats); $i++) {
        $categorie_query = tep_db_query('SELECT `categories_id` FROM ' . TABLE_CATEGORIES . " WHERE parent_id = '" . (int)$cats[$i] . "'"); 
        while ($categorie = tep_db_fetch_array($categorie_query)) {
          $cats[] = $categorie['categories_id'];
        }
	    // sort out doubles
        $cats = array_unique($cats);
      }
      $catIdSql = implode(', ', $cats);
	} else {
      $catIdSql = $featured_products_category_id_list;
	}

    // Phocea Optimize featured query
	$query = 'SELECT distinct p.products_id, p.products_image, p.products_image_med, p.products_image_pop, p.products_tax_class_id, IF (s.status, s.specials_new_products_price, NULL) AS specials_new_products_price, p.products_price, pd.products_name
    FROM ' . TABLE_PRODUCTS . ' p LEFT JOIN ' . TABLE_PRODUCTS_TO_CATEGORIES . ' p2c using(products_id)
    LEFT JOIN ' . TABLE_CATEGORIES . ' c USING (categories_id)
    LEFT JOIN ' . TABLE_FEATURED . ' f ON p.products_id = f.products_id
    LEFT JOIN ' . TABLE_SPECIALS . ' s ON p.products_id = s.products_id
    LEFT JOIN ' . TABLE_PRODUCTS_DESCRIPTION . " pd ON p.products_id = pd.products_id AND pd.language_id = '" . $languages_id . "' 
    where c.categories_id IN(" . $catIdSql . ") AND p.products_status = '1' AND f.status = '1' ";

	if ( defined('FEATURED_PRODUCTS_SPECIALS_ONLY') AND FEATURED_PRODUCTS_SPECIALS_ONLY == 'true' ) {
		$query .= " AND s.status = '1' ";
	}
	$query .= 'ORDER BY rand(' . $mtm . ') DESC LIMIT ' . MAX_DISPLAY_FEATURED_PRODUCTS;

    $featured_products_query = tep_db_query( $query );
}

  $row = 0;
  $col = 0; 
  $num = 0;
  while ($featured_products = tep_db_fetch_array($featured_products_query)) {
    $num ++;
    if ($num == 1) {
      new contentBoxHeading($info_box_contents); 
    }
	// If on special show regular and sale price
  	if (tep_not_null($featured_products['specials_new_products_price'])) {
      $products_price = '<s>' . $currencies->display_price($featured_products['products_price'], tep_get_tax_rate($featured_products['products_tax_class_id'])) . '</s><br>';
     	$products_price .= '<span class="productSpecialPrice">' . $currencies->display_price($featured_products['specials_new_products_price'], tep_get_tax_rate($featured_products['products_tax_class_id'])) . '</span>';
    } else {
      $products_price = $currencies->display_price($featured_products['products_price'], tep_get_tax_rate($featured_products['products_tax_class_id']));
    }
    $info_box_contents[$row][$col] = array('align' => 'center',
                                          'params' => 'class="smallText" width="33%" valign="top"',
                                          'text' => '<a href="' . tep_href_link(FILENAME_PRODUCT_INFO, 'products_id=' . $featured_products['products_id']) . '" onmouseover="doTooltip(event,\'images/' .$featured_products['products_image_med'].'\')" onmouseout="hideTip()">' . tep_image(DIR_WS_IMAGES . $featured_products['products_image'], $featured_products['products_name'], SMALL_IMAGE_WIDTH, SMALL_IMAGE_HEIGHT) . '</a><br><a href="' . tep_href_link(FILENAME_PRODUCT_INFO, 'products_id=' . $featured_products['products_id']) . '">' . $featured_products['products_name'] . '</a><br>' . $products_price);
    $col ++;
    if ($col > 2) {
      $col = 0;
      $row ++;
    }
  }
  if($num) {
      
      new contentBox($info_box_contents);
  }
} else {
   // If it's disabled, then include the original New Products box
   // include (DIR_WS_MODULES . FILENAME_NEW_PRODUCTS); // disable for dont show if desactive the feature module
}
?>
<!-- featured_products_eof //-->
