create table featured (
  featured_id int(11) not null auto_increment,
  products_id int(11) default '0' not null ,
  featured_date_added datetime ,
  featured_last_modified datetime ,
  expires_date datetime ,
  date_status_change datetime ,
  status int(1) default '1' ,
  PRIMARY KEY (featured_id)
);

alter table featured add index idx_products_id (products_id);

INSERT INTO configuration_group (configuration_group_id, configuration_group_title, configuration_group_description, sort_order, visible) values ('39','Destacados', 'Mostrar Productos Destacados', '339', '1'
);

INSERT into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, last_modified, date_added) values ('Mostrar Productos Destacados', 'FEATURED_PRODUCTS_DISPLAY', 'true', 'Marcar Verdadero (true) o Falso (false) para activar el mdulo de Productos Destacados.', '39', '1', now(), now()
);

INSERT into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, last_modified, date_added) values ('Numero maximo de Productos Destacados', 'MAX_DISPLAY_FEATURED_PRODUCTS', '6', 'Este es el numero maximo de productos a mostrar en la portada.', '39', '2', now(), now()
);

